# Uses of Interface
org.springframework.beans.factory.support.InstantiationStrategy

Packages that use InstantiationStrategy
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of InstantiationStrategy in org.springframework.beans.factory.support

Classes in org.springframework.beans.factory.support that implement InstantiationStrategy
Modifier and Type
Class
Description
`class`
`CglibSubclassingInstantiationStrategy`
Default object instantiation strategy for use in BeanFactories.
`class`
`SimpleInstantiationStrategy`
Simple object instantiation strategy for use in a BeanFactory.
Methods in org.springframework.beans.factory.support that return InstantiationStrategy
Modifier and Type
Method
Description
`InstantiationStrategy`
AbstractAutowireCapableBeanFactory.`getInstantiationStrategy()`
Return the instantiation strategy to use for creating bean instances.
Methods in org.springframework.beans.factory.support with parameters of type InstantiationStrategy
Modifier and Type
Method
Description
`void`
AbstractAutowireCapableBeanFactory.`setInstantiationStrategy(InstantiationStrategy instantiationStrategy)`
Set the instantiation strategy to use for creating bean instances.